Subject: [manet] Is it better to Request On-Demand and With-Position Info?

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 22 Jan 2013 21:19:05 +0100

Hi Stan,

Ok I want to discuss issues related to performance as we mention,
discussing inline;

> Yes, I'm concerned about overall performance with position independent TLVs.
> Specifically, I worry about added complexity to handle position dependence.
> That being said, I do understand the notion of providing context for TLVs -
> that's the whole idea behind the DLEP message structure. The DLEP message
> provides the context (e.g. the radio neighbor, and/or the specific far-end
> neighbor); all TLVs are processed *within that context*.

The position independednt is good for communication context of
discovering all neighbors or nodes, but what about a specific
discovery, why we make it independent, while we are specific in our
request. DLEP is similar discoverying all neighbors exchange, but AODV
not similar tasks,
>
> So I'm advocating for TLVs being as atomic in nature as is possible, since
> that would produce (IMO) higher-quality, better-performing implementations
> than something that is position-dependent. It also allows for modularity
> (hence, code-sharing) of the parsers involved.
>

I prefer we use both, but when needed the best, there are two kind of
giving information or sending TLVs, On-Demand and Without-Demand if we
are in a Without-Demand, then we can send TLVs Without-position,
because it was Without-Demand, but if the information was On-Demand
then we send TLVs With-position.

If you want just to read all related info (as newspaper) without
demand, then you can find what you want any time, but if you want a
demanded information, you would prefered its format to be specified as
requested. Please note that some nodes don't have time to read, and
don't have your energy to read full newspaper ;)

AB

On 1/22/13, Stan Ratliff (sratliff) <[email-masked]> wrote:
> AB,
>
> On Jan 22, 2013, at 1:40 PM, Abdussalam Baryun wrote:
>
>> Hi Stan,
>>
>> Thanks for your reply, I respect your opinion as well,
>>
>> In regards to the TLVs do you think the *protocol* performance is
>> better if we use non-position TLV? That is the question, the reasons
>> that some participants say of changing the message format are external
>> reasons not related to the *protocol* performance, and does not answer
>> the question. In my opinion they should answer so we can understand.
>
> Yes, I'm concerned about overall performance with position independent TLVs.
> Specifically, I worry about added complexity to handle position dependence.
> That being said, I do understand the notion of providing context for TLVs -
> that's the whole idea behind the DLEP message structure. The DLEP message
> provides the context (e.g. the radio neighbor, and/or the specific far-end
> neighbor); all TLVs are processed *within that context*.
>
> So I'm advocating for TLVs being as atomic in nature as is possible, since
> that would produce (IMO) higher-quality, better-performing implementations
> than something that is position-dependent. It also allows for modularity
> (hence, code-sharing) of the parsers involved.
>
> Regards,
> Stan
>
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 22 Jan 2013 21:21:54 +0100

Forgot to mention that AODV is Ad hoc On-demand Routing, not Without-Demand

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 22 Jan 2013 22:03:39 +0100

Usually in my design of DSRv2 the addresses TLVs in messages are
better position dependent, because it is on-demand routing,

AB

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 22 Jan 2013 13:09:39 -0800

Hello Abdussalam,

If DSRv2 uses source routes in the same way that DSR uses them,
then I would imagine that the RFC 5444 AddrBlk would be highly
positionally dependent, at least in the most straightforward
evolution of DSR.

I think it would be weird to design a source route that didn't have
positionally dependent addresses in the AddrBlk of the RREP.
Of course it could be done -- one simply designs an accompanying
AddrTLV that describes the position of each address in the AddrBlk.
Voila!

Regards,
Charlie P.

On 1/22/2013 1:03 PM, Abdussalam Baryun wrote:
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 22 Jan 2013 23:14:23 +0100

Hi Charlie,

I agree with you, and as you mentioned the RFC5444 addrBlk is the way I prefer,

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 23 Jan 2013 03:17:29 +0100

Hi Charlie, and Ulrich,

There may be another way you can do your 5444 messaging in AODVv2 and
I do in DSRv2. I may got a hint from your both messages,

 It may satisfy all, you leave the addressing independent but with
associate TLVs for each address of its order-num and time added by
router and/or hop-count-of-message, in this way any router will know
where/when that address was located. I am not sure if some one
mentioned this but sorry if I missed that on the list because now just
got the new idea. So addresses and their TLV in the block are
independent, but position info of addresses can be understood by DSRv2
router.

 So we have mix both position and non-position info ( info meaning of
position and the info of address independence). I think that satisfy
all,

Please advise, I am not expert of 5444, but hope the above is right :)

Abdussalam Baryun,
University of glamorgan, UK